; Initialize the global variables.
sr = 44100
kr = 4410
ksmps = 10
nchnls = 1

; Instrument #1.
instr 101

   a1 loscil 30000, 1, 14, 1
   out a1
endin


instr   104					
a1 		pluck 	10000, 440, 440, 17, 1   ;karplus-strong plucked string
		out 	a1
		endin

instr 	105
a1 		grain 	10000, 440, 30, 10000, 5, .04, 15, 16, 15  ; asynchronous granular synthesis
		out 	a1
		endin
instr	102
a1   	buzz   	10000, 440, 10, 18  ;variable pulse train
        out     a1
		endin



instr  1; ****************************************************************
idur  = p3
if1   = p5  ; oscili 1: waveform
ifq1  = p6
if2   = p7  ; oscili 2: envelope
ifq3  = p8
if3   = p9  ; oscili 3
iampr = p4  ; randi
ifqr  = p7

; initializing a variable idc to .6 or .74
if if3 = 12 igoto dc1
idc = .6
goto start

dc1: idc = .74
     goto start

start:
        a4   randi   iampr/100, ifqr     ;small value amp & fq
        a4   =       a4 + iampr          ;band limited noise

        a3   oscili  a4, ifq3, if3       ;DC bias function, LFO
        a3   =       a3 + idc            ;amplitude modulation input

        a2   oscili  a3, 1/idur, if2     ;envelope

        a1   oscili  a2, ifq1, if1       ;carrier: 3 waveforms & AM
             out     a1 * 10             ;scaling up & out
endin

instr  2; ****************************************************************
idur  = p3
if1   = p4
iamp2 = p5 ;FM
if2   = p6
iamp3 = p7 ;AM
if3   = p8

        a3   oscili  iamp3, 1/idur, if3  ;k3: AM control
        a2   oscili  iamp2, 1/idur, if2  ;k2: FM control
        a1   oscili  a3, a2, if1         ;sinus wave
             out     a1 * 10

endin
